Debian Bug report logs - #339581
texmacs: missing dependency to groff (pfbtops)

version graph

Package: texmacs; Maintainer for texmacs is Atsuhito KOHDA <kohda@debian.org>; Source for texmacs is src:texmacs.

Reported by: Teemu Ikonen <tpikonen@pcu.helsinki.fi>

Date: Thu, 17 Nov 2005 10:03:16 UTC

Severity: normal

Tags: fixed-in-experimental, patch

Found in versions texmacs/1:1.0.5.12-1, 1:1.0.6-11

Fixed in version texmacs/1:1.0.6.9-3

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ralf Treinen <treinen@debian.org>:
Bug#339581; Package texmacs. Full text and rfc822 format available.

Acknowledgement sent to Teemu Ikonen <tpikonen@pcu.helsinki.fi>:
New Bug report received and forwarded. Copy sent to Ralf Treinen <treinen@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Teemu Ikonen <tpikonen@pcu.helsinki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texmacs: missing dependency to groff (pfbtops)
Date: Thu, 17 Nov 2005 12:00:47 +0200
Package: texmacs
Version: 1:1.0.5.12-1
Severity: normal
Tags: patch

When trying to export to pdf with Type 1 fonts, TeXmacs prints the following
messages:

sh: pfbtops: command not found

and the pdf output does not contain Type 1 fonts, but the bitmapped Type 3
ones. After installing groff, which contains the pfbtops command, pdf output
with Type 1 fonts works as it should. The fix seems to be to add a
dependency to groff.

Teemu

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)

Versions of packages texmacs depends on:
ii  guile-1.6-libs            1.6.7-1        Main Guile libraries
ii  libc6                     2.3.5-6        GNU C Library: Shared libraries an
ii  libfreetype6              2.1.7-2.4      FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.0.2-3      GCC support library
ii  libguile-ltdl-1           1.6.7-1        Guile's patched version of libtool
ii  libltdl3                  1.5.20-2       A system independent dlopen wrappe
ii  libqthreads-12            1.6.7-1        QuickThreads library for Guile
ii  libstdc++6                4.0.2-3        The GNU Standard C++ Library v3
ii  libx11-6                  6.8.2.dfsg.1-7 X Window System protocol client li
ii  libxext6                  6.8.2.dfsg.1-7 X Window System miscellaneous exte
ii  tetex-base                2.0.2c-9       Basic library files of teTeX
ii  tetex-bin                 2.0.2-31       The teTeX binary files
ii  tetex-extra               2.0.2c-9       Additional library files of teTeX
ii  texmacs-common            1:1.0.5.12-1   WYSIWYG emacs-ish mathematical tex
ii  xbase-clients             6.8.2.dfsg.1-7 miscellaneous X clients
ii  xlibs                     6.8.2.dfsg.1-7 X Window System client libraries m
ii  zlib1g                    1:1.2.3-4      compression library - runtime

Versions of packages texmacs recommends:
ii  gs                      8.15-4           Transitional package
ii  gs-gpl [gs]             8.15-4           The GPL Ghostscript PostScript int
ii  ispell                  3.1.20.0-4       International Ispell (an interacti
ii  libjpeg-progs           6b-10            Programs for manipulating JPEG fil
pn  libtiff-tools           <none>           (no description available)
ii  netpbm                  2:10.0-10        Graphics conversion tools
ii  xfig                    1:3.2.5-alpha5-4 Facility for Interactive Generatio

-- no debconf information



Tags added: fixed-in-experimental Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Ralf Treinen <treinen@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Teemu Ikonen <tpikonen@pcu.helsinki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 339581-close@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@debian.org>
To: 339581-close@bugs.debian.org
Subject: Bug#339581: fixed in texmacs 1:1.0.6-1
Date: Sat, 03 Dec 2005 11:02:10 -0800
Source: texmacs
Source-Version: 1:1.0.6-1

We believe that the bug you reported is fixed in the latest version of
texmacs, which is due to be installed in the Debian FTP archive:

texmacs-common_1.0.6-1_all.deb
  to pool/main/t/texmacs/texmacs-common_1.0.6-1_all.deb
texmacs_1.0.6-1.diff.gz
  to pool/main/t/texmacs/texmacs_1.0.6-1.diff.gz
texmacs_1.0.6-1.dsc
  to pool/main/t/texmacs/texmacs_1.0.6-1.dsc
texmacs_1.0.6-1_i386.deb
  to pool/main/t/texmacs/texmacs_1.0.6-1_i386.deb
texmacs_1.0.6.orig.tar.gz
  to pool/main/t/texmacs/texmacs_1.0.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 339581@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ralf Treinen <treinen@debian.org> (supplier of updated texmacs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  3 Dec 2005 19:14:50 +0100
Source: texmacs
Binary: texmacs-common texmacs
Architecture: source i386 all
Version: 1:1.0.6-1
Distribution: unstable
Urgency: low
Maintainer: Ralf Treinen <treinen@debian.org>
Changed-By: Ralf Treinen <treinen@debian.org>
Description: 
 texmacs    - WYSIWYG emacs-ish mathematical text editor, using tex fonts
 texmacs-common - WYSIWYG emacs-ish mathematical text editor, using tex fonts
Closes: 187691 251478 318100 324242 339581
Changes: 
 texmacs (1:1.0.6-1) unstable; urgency=low
 .
   * New upstream release. This release fixes
     - a wrong font name at startup (closes: Bug#251478).
     - a bug with the Euler New Roman math font (closes: Bug#187691).
   * Dependencies:
     - now depends on "gs-gpl" instead of "gs-gpl|gs".
     - added dependency on groff, which provides pfbtops (closes: Bug#339581).
     - added dependency on bash since needed by some plugins
   * Removed patches since fixed by upstream:
     - 05_maxima-detect
     - 11_manpage_section
     - 12_config_amd64
     - 13_configure_hppa64
     - 14_gpp4.0_forward_declaration
   * Removed call to "autoconf" from debian/rules, and dependency from the
     autoconf package, since they are no longer needed.
   * Symlink /usr/share/doc/texmacs/examples ->
     /usr/share/texmacs/TeXmacs/examples (closes: Bug#324242).
   * Switch from static linkining to dynamic linking on alpha architecture
     (closes: Bug# 318100).
   * debian/watch file version 3 and with regexp for experimental versions.
   * Patch 01_american: adapt the portion applying to the lisp code to the
     new structure of the texmacs lisp library.
Files: 
 704eb00872be569b3dc7df046f9c2f52 781 editors optional texmacs_1.0.6-1.dsc
 7b0a3896fd17cf2e993aa77d15bb6240 3617687 editors optional texmacs_1.0.6.orig.tar.gz
 25c0714fbdeb578057fceffc5555745d 24148 editors optional texmacs_1.0.6-1.diff.gz
 61c601f6b043228de51bc27511ddc042 3029102 editors optional texmacs-common_1.0.6-1_all.deb
 b5b858bd868176bfd7237a764e051199 1314030 editors optional texmacs_1.0.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDkelztzWmSeC6BMERAlteAJ0e4CBfFArstBt06MPQUIQAmTiKAwCfakLi
7E8KF7a5S7o95+SGqBk+cNg=
=RGFj
-----END PGP SIGNATURE-----




Bug marked as found in version 1:1.0.6-11. Request was from "Teemu Ikonen" <tpikonen@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from "Teemu Ikonen" <tpikonen@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#339581; Package texmacs. Full text and rfc822 format available.

Acknowledgement sent to "Teemu Ikonen" <tpikonen@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #21 received at 339581@bugs.debian.org (full text, mbox):

From: "Teemu Ikonen" <tpikonen@gmail.com>
To: control@bugs.debian.org, 339581@bugs.debian.org
Subject: texmacs: missing dependency to groff (pfbtops)
Date: Fri, 23 Feb 2007 17:53:15 +0100
found 339581 1:1.0.6-11
reopen 339581
thanks

Apparently the dependency on groff got dropped again at some point.

Teemu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#339581; Package texmacs. Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #26 received at 339581@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Teemu Ikonen <tpikonen@gmail.com>, 339581@bugs.debian.org
Subject: Re: Bug#339581: texmacs: missing dependency to groff (pfbtops)
Date: Fri, 23 Feb 2007 22:08:01 +0100
On Fri, Feb 23, 2007 at 05:53:15PM +0100, Teemu Ikonen wrote:

> Apparently the dependency on groff got dropped again at some point.

The dependency never got added... It wasn't even in the version that
closed the bug.

-- 
Lionel



Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Teemu Ikonen <tpikonen@pcu.helsinki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #31 received at 339581-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 339581-close@bugs.debian.org
Subject: Bug#339581: fixed in texmacs 1:1.0.6.9-3
Date: Tue, 17 Apr 2007 15:02:29 +0000
Source: texmacs
Source-Version: 1:1.0.6.9-3

We believe that the bug you reported is fixed in the latest version of
texmacs, which is due to be installed in the Debian FTP archive:

texmacs-common_1.0.6.9-3_all.deb
  to pool/main/t/texmacs/texmacs-common_1.0.6.9-3_all.deb
texmacs_1.0.6.9-3.diff.gz
  to pool/main/t/texmacs/texmacs_1.0.6.9-3.diff.gz
texmacs_1.0.6.9-3.dsc
  to pool/main/t/texmacs/texmacs_1.0.6.9-3.dsc
texmacs_1.0.6.9-3_i386.deb
  to pool/main/t/texmacs/texmacs_1.0.6.9-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 339581@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated texmacs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 16 Apr 2007 14:38:31 +0900
Source: texmacs
Binary: texmacs-common texmacs
Architecture: source i386 all
Version: 1:1.0.6.9-3
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 texmacs    - WYSIWYG mathematical text editor using TeX fonts
 texmacs-common - WYSIWYG mathematical text editor using TeX fonts
Closes: 339581 418660
Changes: 
 texmacs (1:1.0.6.9-3) unstable; urgency=low
 .
   * Updated english-japanese.scm
   * Fixed dependency; from teTeX to TeX Live.  Thanks to a great work for
     a packaging of TeX live 2007.  (Closes: #418660)
   * Fixed another dependency; added dependency on groff.  (Closes: #339581)
Files: 
 d429262fa4ab6cfcf4d7b406155cdb17 830 editors optional texmacs_1.0.6.9-3.dsc
 d0342379af1e31165c97302917428ef8 26169 editors optional texmacs_1.0.6.9-3.diff.gz
 66fa9ecb5429cf2ab26c42e33af3cf85 3185276 editors optional texmacs-common_1.0.6.9-3_all.deb
 bb439724e4e264a6d5f90361e44cfd8b 1735432 editors optional texmacs_1.0.6.9-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGJN6j1IXdL1v6kOwRAh7FAJ46eKOQRXuCu+MPPtGz+xkPGteejgCfWmgO
SQUXC7i5HfJOZPSm6R+8bpI=
=tetB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Aug 2008 07:40:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:14:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.